<?php

namespace App\Models\Friends;

use App\Models\User\UserModel;
use Illuminate\Database\Eloquent\Model;

class FriendApply extends Model
{
    protected $table = "kdgx_fpdx_friend_apply";

    public $timestamps = false;

    public static $unguarded = true;

    public function sendUser()
    {
        return $this->belongsTo(UserModel::class, 'uid', 'uid');
    }

    public function receiveUser()
    {
        return $this->belongsTo(UserModel::class, 'apply_uid', 'uid');
    }
}
